انجمن


مشکل با نسخه های جدید افزونه ها  (۲ نوشته)

  • محسن

    آفلاین
    عضو
    تعداد نوشته‌ها: ۳۹
    # نوشته شده: ۱۰ سال پیش
    ۱۹ آبان ۱۳۸۸ - ۰۰:۰۵

    سلام
    همون طور که می‌دونید مرتبا نسخه های جدیدی برای افزونه های مختلف میاد
    حالا من مشکلم این هست که این افزونه ها رو وقتی از قسمت مدیریت ورد پرس میزنیم ازتقاء خودکار، هم فایل های زبان رو حذف میکنه و هم استایل‌هایی که تغییر دادیم (این طور که من فهمیدم اول کل پوشه افزونه رو حذف میکنه بعد نسخه جدید رو میگیره!)، بزارید مثال بزنم! مثلا افزونه گالری که نسخه 1.3.6 فارسی تو انجمن بود من کلی ور رفتم تا استایلش هم مناسب قالب خودم بشه، حالا نسخه 1.4 اومده از یه طرف باید آپگرید کرد که باگی چیزی نباشه از یه طرف هم مشکل حذف شدن استایل و فایل زبان هست.
    می خواستم ببینم بقیه دوستان برای حل این مشکل چیکار می‌کنند یا کلا افزونه‌هایی رو که خودشون دستکاری کردن چطوری آپگرید میکنند که مشکلی پیش نیاد؟
    با سپاس

  • علی ایرانی

    آفلاین
    ناظم
    بهترین پاسخ

    تعداد نوشته‌ها: ۷۸۶
    تشکر شده: ۷۶ بار
    # نوشته شده: ۱۰ سال پیش
    ۲۰ آبان ۱۳۸۸ - ۱۲:۳۹

    بهترین راهش اینه که با برنامه نویس اون افزونه تماس گرفته بشه و مثلا بگید: "آقا من این افزونه رو برای فارسی زبان ها ترجمه کردم اینم فایل زبانش لطفا این رو به افزونه تون اضافه کنید" یا مثلا برای استایل بگید: "عزیزم من این استایل rtl رو برای زبان های rtl آماده کردم که میتونی به افزونه ات اضافه کنی تا ملت حالشو ببرند ;)"
    که اگر اون طرف این کار رو بکنه دیگه با آپگرید خودکار و اینا مشکلی نمیاد!
    اما راه دیگش هم اینه که به صورت دستی آپگرید انجام بشه که مشکلی هم پیش نیاد :)
    یه راه دیگش که من خودم بعضی وقتا استفاده میکنم اینه که مثلا اون فایل های تغییر داده شده مثل فایل زبان یا استایل رو یه جا کپی میکنم بعد اون افزونه رو خودکار آپگرید میکنم و بعد دوباره اون فایل ها رو سر جاشون کپی میکنم :دی

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    بهرنگ - محسن

درباره‌ی این موضوع